﻿Type=Class
Version=3.8
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim bodyBullet As lgBox2DBody
	Dim bulletSprite As lgSprite
	Dim UD As imageType	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(vTexture As lgSprite, vWidth As Float, vHeight As Float, vPosX As Float, vPosY As Float, vRot As Float, vbodyType As String)

	
	UD.mathItem = vbodyType

	'Create bullet BodyDef
	Dim bulletDef As lgBox2DBodyDef
	bulletDef.Type = Main.World.BODYTYPE_Dynamic
	bulletDef.position.Set(vPosX, vPosY)	
	bulletDef.fixedRotation = False
	bulletDef.angle = Main.Hero.bodyHero.Angle

	
	'bullet Shape
	Dim bulletShape As lgBox2DPolygonShape	
	bulletShape.SetAsBox(vWidth/2, vHeight/2)
	
	'bullet Fixture
	Dim bulletFixtureDef As lgBox2DFixtureDef
	bulletFixtureDef.shape = bulletShape
	bulletFixtureDef.Density = 0
	bulletFixtureDef.friction = 0
	bulletFixtureDef.restitution = 0

	bulletSprite.initializeWithSprite(vTexture)
	bulletSprite.SetSize(vWidth * 2, vHeight * 2)
	bulletSprite.SetOrigin(bulletSprite.Width / 2, bulletSprite.Height / 2)
	
	bodyBullet = Main.World.CreateBody(bulletDef)
	bodyBullet.createFixture(bulletFixtureDef)
	bodyBullet.Bullet = True
	
	UD.thisSprite = bulletSprite
	bodyBullet.UserData = UD
	bulletSprite.Flip(False, False)
	
	Dim tmpBullet As lgBox2DBody
	tmpBullet = bodyBullet
	globals.allBullets.Add(tmpBullet)
	
	Dim vX, vY As Float
	
	vX = Cos(vRot)
	vY = Sin(vRot)

'	vX = 0.9848077297210693
'	vY = -0.1736481785774231
'Log("vRot: " & vRot)
'Log("vX: " & vX)
'Log("vY: " & vY)
'Log(" ")

	
	bodyBullet.setLinearVelocity2(75 * vX, 75 * vY)
		
	bulletShape.Dispose
	
End Sub