﻿Type=Class
Version=3.8
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim bodyHero As lgBox2DBody
	Dim heroSprite As lgSprite
	Dim UD As imageType
'	Dim isFlipped As Boolean
	
	Dim Lives As Int = 3
	
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(vTexture As lgSprite, vWidth As Float, vHeight As Float, vPosX As Int, vPosY As Int, vbodyType As String)

	
	UD.mathItem = vbodyType
	'Create Hero BodyDef
	Dim heroDef As lgBox2DBodyDef
	heroDef.Type = Main.World.BODYTYPE_Static
	heroDef.position.Set(vPosX, vPosY)
	heroDef.fixedRotation = True
	heroDef.angle = 3.14
	
	'Hero Shape
	Dim heroShape As lgBox2DCircleShape	
	heroShape.Radius = vWidth
'	Dim heroShape As lgBox2DPolygonShape	
'	heroShape.SetAsBox(vWidth, vHeight)
	
	'Hero Fixture
	Dim heroFixtureDef As lgBox2DFixtureDef
	heroFixtureDef.shape = heroShape
	heroFixtureDef.Density = 10
	heroFixtureDef.friction = .25
	heroFixtureDef.restitution = .1
	
	heroSprite.initializeWithSprite(vTexture)
	heroSprite.SetSize(vWidth * 2, vHeight * 2)
	heroSprite.SetOrigin(heroSprite.Width / 2, heroSprite.Height / 2)
	
	bodyHero = Main.World.CreateBody(heroDef)
	bodyHero.createFixture(heroFixtureDef)
	
	UD.thisSprite = heroSprite
	bodyHero.UserData = UD
	heroSprite.Flip(False, True)
	
'	isFlipped = True
	
'	globals.numbersHeld.Add(bodyHero)
	bodyHero.setLinearVelocity2(0, 0)
		
	heroShape.Dispose
	
End Sub